急!ubuntu apt-get没办法更新!

jqlts1
  • 400

不管安装任何软件都出现这个!!
clipboard.png

然后去百度一下,大部分的答案都是说

sudo apt-get update
sudo apt-get update

也就是更新一下源,但是不行,不甘心又去百度:
然后在管理源地址的文件添加了很多源: 把163 搜狐 官网都给添加进去了!

sudo vim /etc/apt/sources.list

然后添加完又更新

sudo apt-get update
sudo apt-get update

发现还是不行!!!

上次有发过类似的问题,一个奇葩答案,回答居然是

说明你这个源里面没有这个包

我看到这个答案也是醉了~直接把英文翻译一下给我听~

我不知道怎么解决,求懂的人帮我看看吧

评论
阅读 2.9k
5 个回答

mongodb 的源本来就是要添加新的啊

sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv EA312927
echo "deb http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.2 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-3.2.list
sudo apt-get update
sudo apt-get install -y mongodb-org

至于其他的,把你的 sources.list 贴出来看看啊,可能是你所有的都填进去搞乱了吧,找一个可以用的源就好了。

另外这种问题,实在不行就把源换成 ubuntu 官方的源,然后翻*墙 update 吧,然后在顺便问候下方校长全家!

亲,那个奇葩答案是对的。。。
装mongo请运行
apt-get install mongodb

惟伊
  • 3
新手上路,请多包涵

首先高端玩家得用google。
其次更新你要确定添加的源里有可更新软件包。

chris_d
  • 1
新手上路,请多包涵

可以试试先搜下是不是有这个,用

apt-cache search xxx

可以搜到相关的包

。。。只想说,人家的回答的确是正确的,你没有找对包含相应软件包的源

宣传栏